List API Keys
Retrieve all API keys for your organization
The key field is never returned in list responses — only key_prefix (the first 8 characters) is shown for identification. To include archived keys, pass ?include_archived=true.
GET
/api/v1/user/api-keysParameters#
| Name | Located in | Type | Required | Description |
|---|---|---|---|---|
include_archived | query | boolean | No | — |
Responses#
200 — Successful Response
[
{
"id": 0,
"name": "Example Name",
"key_prefix": "string",
"is_active": true,
"created_at": "2026-01-15T10:30:00Z",
"last_used_at": "2026-01-15T10:30:00Z",
"archived_at": "2026-01-15T10:30:00Z"
}
]404 — Not found
422 — Validation Error
{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}